package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;


import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Degree;
import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class IsianPelamarVOVO
 * 
 * @author Generator
 */
public class IsianPelamarVO  extends BaseTransactionVO{
	
	@Column(name = "HasilTest",nullable=true)
	private Boolean hasilTest;

	
	
	public Boolean getHasilTest() {
		return hasilTest;
	}

	public void setHasilTest(Boolean hasilTest) {
		this.hasilTest = hasilTest;
	}
	
	@Column(name = "Hasil",nullable=true)
	private Boolean hasil;

	public Boolean getHasil() {
		return hasil;
	}

	public void setHasil(Boolean hasil) {
		this.hasil = hasil;
	}
	@Column(name = "NilaiTertulis",nullable=true)
	private Double nilaiTertulis;
	
	@Column(name = "NilaiWawancara",nullable=true)
	private Double nilaiWawancara;
	
	@Column(name = "NilaiPsikotes",nullable=true)
	private Double nilaiPsikotes;
	
	@Column(name = "NilaiKesehatan",nullable=true)
	private Double nilaiKesehatan;
	
	
	public Double getNilaiTertulis() {
		return nilaiTertulis;
	}

	public void setNilaiTertulis(Double nilaiTertulis) {
		this.nilaiTertulis = nilaiTertulis;
	}

	public Double getNilaiWawancara() {
		return nilaiWawancara;
	}

	public void setNilaiWawancara(Double nilaiWawancara) {
		this.nilaiWawancara = nilaiWawancara;
	}

	public Double getNilaiPsikotes() {
		return nilaiPsikotes;
	}

	public void setNilaiPsikotes(Double nilaiPsikotes) {
		this.nilaiPsikotes = nilaiPsikotes;
	}

	public Double getNilaiKesehatan() {
		return nilaiKesehatan;
	}

	public void setNilaiKesehatan(Double nilaiKesehatan) {
		this.nilaiKesehatan = nilaiKesehatan;
	}
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "Degree")
	@Caption(value = "Degree")
	private DegreeVO degree;

	@Column(name = "Degree", insertable = false, updatable = false, nullable = true)
	private String degreeId;

	@Column(name = "Sekolah", nullable = true, length = 100)
	@Caption(value = "Sekolah")
	private String sekolah;

	@Column(name = "Jurusan", nullable = true, length = 100)
	@Caption(value = "Jurusan")
	private String jurusan;

	@Column(name = "TahunMasuk", nullable = true, length = 100)
	@Caption(value = "TahunMasuk")
	private Integer tahunMasuk;

	@Column(name = "TahunLulus", nullable = true, length = 100)
	@Caption(value = "TahunLulus")
	private Integer tahunLulus;

	@Column(name = "nilai", nullable = true, length = 100)
	@Caption(value = "nilai")
	private double nilai;

	public DegreeVO getDegree() {
		return degree;
	}

	@Column(name = "NoPendaftaran", nullable = true , length = 100)
	 @Caption(value = "NoPendaftaran")
	private String noPendaftaran ;
	
	
	public String getNoPendaftaran() {
		return noPendaftaran;
	}
	public void setNoPendaftaran(String noPendaftaran) {
		this.noPendaftaran = noPendaftaran;
	}
	public void setDegree(DegreeVO degree) {
		this.degree = degree;
	}

	public String getSekolah() {
		return sekolah;
	}

	public void setSekolah(String sekolah) {
		this.sekolah = sekolah;
	}

	public String getJurusan() {
		return jurusan;
	}

	public void setJurusan(String jurusan) {
		this.jurusan = jurusan;
	}

	public Integer getTahunMasuk() {
		return tahunMasuk;
	}

	public void setTahunMasuk(Integer tahunMasuk) {
		this.tahunMasuk = tahunMasuk;
	}

	public Integer getTahunLulus() {
		return tahunLulus;
	}

	public void setTahunLulus(Integer tahunLulus) {
		this.tahunLulus = tahunLulus;
	}

	public double getNilai() {
		return nilai;
	}

	public void setNilai(double nilai) {
		this.nilai = nilai;
	}
	
	
	@Column(name = "NamaLengkap", nullable = false , length = 100)
	 @Caption(value = "NamaLengkap")
	private String namaLengkap ;
	public String getNamaLengkap() {
		return namaLengkap ;
	}
	public void setNamaLengkap(String namaLengkap ) {
		this.namaLengkap  = namaLengkap ;
	}

@ManyToOne
	 @JoinColumn(name = "JenisKelaminFk")
	 @NotNull(message = "Jenis Kelamin Harus Diisi")
	 @Caption(value = "Jenis Kelamin")
	private JenisKelaminVO jenisKelamin;
	public JenisKelaminVO getJenisKelamin() {
		return jenisKelamin;
	}
	public void setJenisKelamin(JenisKelaminVO jenisKelamin) {
		this.jenisKelamin = jenisKelamin;
	}
	@Column(name = "JenisKelaminFk", insertable=false,updatable=false)
	private String jenisKelaminId;

	@Column(name = "NoKTP", nullable = false , length = 100)
	 @Caption(value = "NoKTP")
	private String noKTP ;
	public String getNoKTP() {
		return noKTP ;
	}
	public void setNoKTP(String noKTP ) {
		this.noKTP  = noKTP ;
	}

	@Column(name = "TempatLahir", nullable = false , length = 100)
	 @Caption(value = "TempatLahir")
	private String tempatLahir ;
	public String getTempatLahir() {
		return tempatLahir ;
	}
	public void setTempatLahir(String tempatLahir ) {
		this.tempatLahir  = tempatLahir ;
	}

	@Column(name = "TanggalLahir", nullable = false , length = 100)
	 @Caption(value = "TanggalLahir")
	private String tanggalLahir ;
	public String getTanggalLahir() {
		return tanggalLahir ;
	}
	
	@Column(name = "Picture", nullable = true , length = 100000)
	 @Caption(value = "Picture")
	private String picture ;

	public String getPicture() {
		return picture;
	}
	public void setPicture(String picture) {
		this.picture = picture;
	}
	public void setTanggalLahir(String tanggalLahir ) {
		this.tanggalLahir  = tanggalLahir ;
	}

@ManyToOne
	 @JoinColumn(name = "AgamaFk")
	 @NotNull(message = "Agama Harus Diisi")
	 @Caption(value = "Agama")
	private AgamaVO agama;
	public AgamaVO getAgama() {
		return agama;
	}
	public void setAgama(AgamaVO agama) {
		this.agama = agama;
	}
	@Column(name = "AgamaFk", insertable=false,updatable=false)
	private String agamaId;

@ManyToOne
	 @JoinColumn(name = "StatusFk")
	 @NotNull(message = "Status Harus Diisi")
	 @Caption(value = "Status")
	private StatusKawinVO status;
	public StatusKawinVO getStatus() {
		return status;
	}
	public void setStatus(StatusKawinVO status) {
		this.status = status;
	}
	@Column(name = "StatusFk", insertable=false,updatable=false)
	private String statusId;

	@Column(name = "Alamat", nullable = false , length = 100)
	 @Caption(value = "Alamat")
	private String alamat ;
	public String getAlamat() {
		return alamat ;
	}
	public void setAlamat(String alamat ) {
		this.alamat  = alamat ;
	}

@ManyToOne
	 @JoinColumn(name = "PosisiLamaranFk")
	 @NotNull(message = "Posisi Lamaran Harus Diisi")
	 @Caption(value = "Posisi Lamaran")
	private PosisiLamaranVO posisiLamaran;
	public PosisiLamaranVO getPosisiLamaran() {
		return posisiLamaran;
	}
	public void setPosisiLamaran(PosisiLamaranVO posisiLamaran) {
		this.posisiLamaran = posisiLamaran;
	}
	@Column(name = "PosisiLamaranFk", insertable=false,updatable=false)
	private String posisiLamaranId;


}